# RPM specfile for gnome-vfs-proxy-capplet module
# Generated Thu Jun 13 20:48:00 2002 GMT by Ximian build system
# $Id: bb_do,v 1.186 2002/06/10 19:52:03 peter Exp $
# from $Id: ximian-build.conf,v 1.2 2002/05/16 14:26:03 dobey Exp $

%define nam	gnome-vfs-proxy-capplet
%define ver	0.2.1
%define ximrev	1

Name:     	gnome-vfs-proxy-capplet
Version: 	0.2.1
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	gnome-vfs-proxy-capplet-0.2.1.tar.gz
Summary:	HTTP Proxy Configuration Program for GNOME VFS
Group:		System Environment/Applications
Provides:	ximian-gnome-vfs-proxy-capplet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
An HTTP Proxy Configuration Program for use without requiring Nautilus
to be installed for configuring the gnome-vfs HTTP proxy settings.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
/usr/bin/*
/usr/share/gnome/apps/*/*.desktop
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/*/*.desktop
/usr/share/*/capplets/*.desktop


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-vfs-proxy-capplet-0.2.1
    ;;
all)
%setup  -q -n gnome-vfs-proxy-capplet-0.2.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Jun 13 2002 Ximian, Inc.

- Version: 0.2.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri May 10 2002 Ximian, Inc.

- Version: 0.2.0-1.ximian.2
- Summary: New build.
- New automated build.

